This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 611934 - seabios-0.5.1-3 breaks Windows guest using virtio drivers
seabios-0.5.1-3 breaks Windows guest using virtio drivers
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: seabios (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 17:37 EDT by James Ralston
Modified: 2010-07-08 14:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 14:09:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Ralston 2010-07-06 17:37:07 EDT
On my x86_64 Fedora 13 host, I have a KVM virtual guest running Windows XP Professional SP3 (x86).

I am using the following virtio drivers (per the Windows guest):

Red Hat VirtIO SCSI controller
version 4.3.0.17241 (5/5/2009)

Red Hat VirtIO Ethernet Adapter
version 5.1.209.605 (9/24/2009)

The seabios-bin-0.5.1-3.fc13 package that was pushed to testing breaks this Windows guest: the guest crashes a few seconds after the Windows bootloader executes, even in safe mode.

According to /var/log/libvirt/qemu, the exact qemu-kvm command being called is:

LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/bin/qemu-kvm -S -M pc-0.12 -enable-kvm -m 512 -mem-prealloc -mem-path /dev/hugepages/libvirt/qemu -smp 1,sockets=1,cores=1,threads=1 -name dragonslicer -uuid 3cfca5cf-bd01-640f-db3c-c703f6ef62e1 -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/dragonslicer.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=localtime -boot c -drive file=/dev/os/dragonslicer,if=none,id=drive-virtio-disk0,boot=on -device virtio-blk-pci,bus=pci.0,addr=0x4,drive=drive-virtio-disk0,id=virtio-disk0 -device virtio-net-pci,vlan=0,id=net0,mac=52:54:00:67:b1:e1,bus=pci.0,addr=0x5 -net tap,fd=42,vlan=0,name=hostnet0 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -usb -device usb-tablet,id=input0 -vnc 127.0.0.1:0 -k en-us -vga cirrus -device ES1370,id=sound0,bus=pci.0,addr=0x6 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3 
char device redirected to /dev/pts/3

These are the only two lines in the logfile; they repeat for every guest initialization, regardless of whether seabios-0.5.1-2 or seabios-0.5.1-3 is installed.
Comment 1 Justin M. Forbes 2010-07-06 17:49:17 EDT
Do things work better with the virtio-win drivers in http://alt.fedoraproject.org/pub/alt/virtio-win/13/images/bin/
Comment 2 James Ralston 2010-07-08 02:19:15 EDT
Yes, that was it: after updating the virtio storage driver to 5.3.0.17241 (as referenced in comment 1), my Windows guest runs fine with seabios-bin-0.5.1-3 installed on the host.
Comment 3 Justin M. Forbes 2010-07-08 14:09:46 EDT
Right, those are the supported drivers for F13.  The drivers on the kvm website are a bit outdated.  I will make sure to mention it in the virt-status email going out today.

Note You need to log in before you can comment on or make changes to this bug.